Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne
Class FaultFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.cayenne.CayenneRuntimeException
                      org.apache.cayenne.FaultFailureException

All Implemented Interfaces:
  java.io.Serializable

    public class FaultFailureException

extends CayenneRuntimeException

A runtime exception thrown when `DataObject.resolveFault()` finds that no matching row exists in the database for an `ObjectId`.

Author:
  Mike Kienenberger
See Also:
  Serialized Form

Constructor Summary
`FaultFailureException()` Creates new FaultFailureException without detail message.
`FaultFailureException(java.lang.String msg)` Constructs an FaultFailureException with the specified detail message.
`FaultFailureException(java.lang.String msg, java.lang.Throwable th)`
`FaultFailureException(java.lang.Throwable th)` Constructs an FaultFailureException that wraps a `Throwable` thrown elsewhere.

Method Summary

Methods inherited from class org.apache.cayenne.CayenneRuntimeException
`getMessage, getUnlabeledMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FaultFailureException

    public FaultFailureException()

  Creates new FaultFailureException without detail message.

### FaultFailureException

    public FaultFailureException(java.lang.String msg)

  Constructs an FaultFailureException with the specified detail message.

  Parameters:
    `msg` - the detail message.

### FaultFailureException

    public FaultFailureException(java.lang.Throwable th)

  Constructs an FaultFailureException that wraps a `Throwable` thrown elsewhere.

### FaultFailureException

    public FaultFailureException(java.lang.String msg,
                                 java.lang.Throwable th)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.